# RSL_get_next_cwise_ray

# RSL_get_next_ccwise_ray

### Synopsis

#include "rsl.h"
Ray *RSL_get_next_cwise_ray(Sweep *s, Ray *r);
Ray *RSL_get_next_ccwise_ray(Sweep *s, Ray *r);

###

Description

cwise, means clockwise and it is defined to mean "in the direction of increasing azimuth angle (don't ask)." ccwise means counter-clockwise and it is defined to mean "in the direction of decreasing azimuth angle." Dennis Flanigan defined cwise and ccwise.

### Return value

Upon successful completion, a pointer to the Ray structure is returned. Otherwise, a NULL pointer is returned.

### See also

RSL_get_ray_from_sweep, RSL_get_ray_above, RSL_get_ray_below, RSL_get_first_ray_of_sweep, RSL_get_first_ray_of_volume.

Author: John H. Merritt